Recent

Author Topic: EC_Controls does not compile with Laz 2.3 (main/trunk)  (Read 2271 times)

wp

  • Hero Member
  • *****
  • Posts: 9158
EC_Controls does not compile with Laz 2.3 (main/trunk)
« on: November 29, 2021, 01:02:31 pm »
Compilation of the EyeCandyControls library v0.9.44 (package eccontrols.lpk  in OPM) with Laz 2.3 (main) fails in unit ECSwitch with the error:

Quote
  ecswitch.pas(1108,16) Error: Identifier not found "CompareMethods"

This is because the function "CompareMethods()" has been moved to unit LazMethodList in package LazUtils. I can fix it by adding LCLVersion to the interface uses clause, and the following snippet to the implementation part of the unit:
Code: Pascal  [Select][+][-]
  1. implementation
  2.  
  3. {$IF LCL_FullVersion >= 2030000}
  4. uses
  5.   LazMethodList;
  6. {$IFEND}  
Mainly Lazarus trunk / fpc 3.2.0 / all 32-bit on Win-10, but many more...

madref

  • Hero Member
  • *****
  • Posts: 865
  • ..... A day not Laughed is a day wasted !!
    • Nursing With Humour
Re: EC_Controls does not compile with Laz 2.3 (main/trunk)
« Reply #1 on: December 04, 2021, 10:24:44 pm »
Just add the unit to the interface part and it runs also.
You treat a disease, you win, you lose.
You treat a person and I guarantee you, you win, no matter the outcome.

Lazarus Trunc.git [2.3.0 Rev. 65550] / FPC Trunc.git [3.3.1]
Mac OS X Big Sur

 

TinyPortal © 2005-2018